# Assembly code

addsyntaxmap "ASM" \
{
	exp {e_opcode				"^\[^ \\t\\n\]*\[ \\t\]+(\[A-Za-z_.\]\[A-Za-z_.0-9\]*)"}
	exp {e_function				"<(\[A-Za-z_\]\[A-Za-z_0-9\]*)\[ \t\]*\\("}
	exp {e_label				"<\[A-Za-z_\]\[A-Za-z_0-9\]*>"}
	exp {e_local_label			"<\[.@\]\[A-Za-z_\]\[A-Za-z_0-9\]*>"}
	exp {e_pre_hex_value		"<((\\$|(0x)|(0X))\[0-9A-Fa-f\]+)>"}
	exp {e_pre_decimal_value	"<((\\.|(0d)|(0D))?\[0-9\]+)>"}
	exp {e_pre_octal_value		"<(((0o)|(0O))\[0-7\]+)>"}
	exp {e_pre_binary_value		"<((%|(0b)|(0B))\[0-1\]+)>"}
	exp {e_post_hex_value		"<(\[0-9\]\[0-9A-Fa-f\]*\[Hh\])>"}
	exp {e_post_decimal_value	"<(\[0-9\]+\[Dd\])>"}
	exp {e_post_octal_value		"<(\[0-7\]+\[Oo\])>"}
	exp {e_post_binary_value	"<(\[0-1\]+\[Bb\])>"}
	exp {e_comment_start		"/\\*"}
	exp {e_comment_end			"\\*/"}
	exp {e_alt_comment_start	"(;)|(//)|(^#)"}
	exp {e_end_of_line			"$"}
	exp {e_string_delimiter		"\""}
	exp {e_string_end_delimiter	"\"|$"}
	exp {e_quoted_char			"(\\\\)(\[-\])"}
	exp {e_char_delimiter		"'"}
	exp {e_char_end_delimiter	"'|$"}

	map {m_opcode				e_opcode:0				{}									$style_operator		0				0}
	map {m_function				e_function:0			{}									$style_function		0				0}
	map {m_label				e_label					{}									$style_label		0				0}
	map {m_local_label			e_local_label			{}									$style_local_label	0				0}
	map {m_pre_hex_value		e_pre_hex_value:0		{}									$style_value		0				0}
	map {m_pre_decimal_value	e_pre_decimal_value:0	{}									$style_value		0				0}
	map {m_pre_octal_value		e_pre_octal_value:0		{}									$style_value		0				0}
	map {m_pre_binary_value		e_pre_binary_value:0	{}									$style_value		0				0}
	map {m_post_hex_value		e_post_hex_value:0		{}									$style_value		0				0}
	map {m_post_decimal_value	e_post_decimal_value:0	{}									$style_value		0				0}
	map {m_post_octal_value		e_post_octal_value:0	{}									$style_value		0				0}
	map {m_post_binary_value	e_post_binary_value:0	{}									$style_value		0				0}
	map {m_quoted_char			e_quoted_char:0			{e_quoted_char:1}					$style_delimiter	0				$style_char}
	map {m_comment				e_comment_start			{e_comment_end}						$style_comment		$style_comment	$style_comment}
	map {m_alt_comment			e_alt_comment_start		{e_end_of_line}						$style_comment		$style_comment	$style_comment}
	map {m_string				e_string_delimiter		{e_string_end_delimiter}			$style_delimiter	$style_string	$style_delimiter}
	map {m_char					e_char_delimiter		{e_char_end_delimiter}				$style_delimiter	$style_char		$style_delimiter}

	at {m_string				{m_quoted_char}}
	at {m_char					{m_quoted_char}}

	root {m_quoted_char m_opcode m_function m_label m_local_label m_pre_hex_value m_pre_decimal_value m_pre_octal_value m_pre_binary_value m_post_hex_value m_post_decimal_value m_post_octal_value m_post_binary_value m_string m_char m_comment m_alt_comment}
}


set	extensionHuntExpression(ASM)	{^((.*\.a)|(.*\.asm)|(.*\.ext)|(.*\.inc)|(.*\.S)|(.*\.s)|(.*\.SRC)|(.*\.src))$}
set	extensionTabSize(ASM)			8
set	extensionColorScheme(ASM)		"e93"
set	extensionMapName(ASM)			"ASM"
