# syntax map for VERILOG contributed by Mark Coldebella
addsyntaxmap "VERILOG" \
{
	exp {e_types				"<(input|output|inout|net|reg|time|integer|real|event)>"}
	exp {e_keywords				"<(module|or|and|begin|parameter|display|end|repeat|assign|always|if|else|default|endmodule|task|endtask|forever|generate|case|endcase|posedge|negedge|event|initial|endfunction|function|wait)>"}
	exp {e_comment_start		"/\\*"}
	exp {e_comment_end			"\\*/"}
	exp {e_alt_comment_start	"//"}
	exp {e_end_of_line			"$"}
	exp {e_string_delimiter		"\""}
	exp {e_char_delimiter		"'"}

	map {m_types				e_types					{}									$style_type			0				0}
	map {m_keywords				e_keywords				{}									$style_keyword		0				0}
	map {m_comment				e_comment_start			{e_comment_end}						$style_comment		$style_comment	$style_comment}
	map {m_alt_comment			e_alt_comment_start		{e_end_of_line}						$style_comment		$style_comment	$style_comment}
	map {m_string				e_string_delimiter		{e_string_delimiter}				$style_delimiter	$style_string	$style_delimiter}
	map {m_char					e_char_delimiter		{e_char_delimiter}					$style_delimiter	$style_char		$style_delimiter}

	root {m_types m_keywords m_comment m_alt_comment m_string m_char}
}

set	extensionHuntExpression(VERILOG)	{^((.*\.v))$}
set	extensionTabSize(VERILOG)			4
set	extensionColorScheme(VERILOG)		"e93"
set	extensionMapName(VERILOG)			"VERILOG"
